osgViewer::WoWVxDisplay Class Reference

`#include <WoWVxDisplay>`

Inheritance diagram for osgViewer::WoWVxDisplay:

## Public Member Functions

| WoWVxDisplay (unsigned int type=20, unsigned int screenNum=0)
| WoWVxDisplay (unsigned int screenNum, unsigned char wow_content, unsigned char wow_factor, unsigned char wow_offset, float wow_disparity_Zd, float wow_disparity_vz, float wow_disparity_M, float wow_disparity_C)
| WoWVxDisplay (const WoWVxDisplay &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, WoWVxDisplay)
virtual void | configure (osgViewer::View &view) const
void | setScreenNum (unsigned int n)
unsigned int | getScreenNum () const
void | WoWVx20 ()
void | WoWVx42 ()
void | setContent (unsigned char c)
double | getContent () const
void | setFactor (unsigned char c)
double | getFactor () const
void | setOffset (unsigned char c)
double | getOffset () const
void | setDisparityZD (float c)
float | getDisparityZD () const
void | setDisparityVZ (float c)
float | getDisparityVZ () const
void | setDisparityM (float c)
float | getDisparityM () const
void | setDisparityC (float c)
float | getDisparityC () const
Public Member Functions inherited from osgViewer::ViewConfig
| ViewConfig ()
| ViewConfig (const ViewConfig &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, ViewConfig)
virtual osg::DisplaySettings * | getActiveDisplaySetting (osgViewer::View &view) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

unsigned int | _screenNum
unsigned char | _wow_content
unsigned char | _wow_factor
unsigned char | _wow_offset
float | _wow_disparity_Zd
float | _wow_disparity_vz
float | _wow_disparity_M
float | _wow_disparity_C
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Detailed Description

autostereoscopic Philips WoWvx display.

## Constructor & Destructor Documentation

## WoWVxDisplay() [1/3]

osgViewer::WoWVxDisplay::WoWVxDisplay | ( | unsigned int | type = 20,
|  | unsigned int | screenNum = 0 )

inline

References _screenNum, _wow_content, _wow_disparity_C, _wow_disparity_M, _wow_disparity_vz, _wow_disparity_Zd, _wow_factor, _wow_offset, and WoWVx42().

Referenced by META_Object(), and WoWVxDisplay().

## WoWVxDisplay() [2/3]

osgViewer::WoWVxDisplay::WoWVxDisplay | ( | unsigned int | screenNum,
|  | unsigned char | wow_content,
|  | unsigned char | wow_factor,
|  | unsigned char | wow_offset,
|  | float | wow_disparity_Zd,
|  | float | wow_disparity_vz,
|  | float | wow_disparity_M,
|  | float | wow_disparity_C )

inline

References _screenNum, _wow_content, _wow_disparity_C, _wow_disparity_M, _wow_disparity_vz, _wow_disparity_Zd, _wow_factor, and _wow_offset.

## WoWVxDisplay() [3/3]

osgViewer::WoWVxDisplay::WoWVxDisplay | ( | const WoWVxDisplay & | rhs,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References _screenNum, _wow_content, _wow_disparity_C, _wow_disparity_M, _wow_disparity_vz, _wow_disparity_Zd, _wow_factor, _wow_offset, osg::CopyOp::SHALLOW_COPY, osgViewer::ViewConfig::ViewConfig(), and WoWVxDisplay().

## Member Function Documentation

## configure()

virtual void osgViewer::WoWVxDisplay::configure | ( | osgViewer::View & |  | ) | const

virtual

configure method that is overridden by Config subclasses.

Reimplemented from osgViewer::ViewConfig.

## getContent()

double osgViewer::WoWVxDisplay::getContent | ( |  | ) | const

inline

References _wow_content.

## getDisparityC()

float osgViewer::WoWVxDisplay::getDisparityC | ( |  | ) | const

inline

References _wow_disparity_C.

## getDisparityM()

float osgViewer::WoWVxDisplay::getDisparityM | ( |  | ) | const

inline

References _wow_disparity_M.

## getDisparityVZ()

float osgViewer::WoWVxDisplay::getDisparityVZ | ( |  | ) | const

inline

References _wow_disparity_vz.

## getDisparityZD()

float osgViewer::WoWVxDisplay::getDisparityZD | ( |  | ) | const

inline

References _wow_disparity_Zd.

## getFactor()

double osgViewer::WoWVxDisplay::getFactor | ( |  | ) | const

inline

References _wow_factor.

## getOffset()

double osgViewer::WoWVxDisplay::getOffset | ( |  | ) | const

inline

References _wow_offset.

## getScreenNum()

unsigned int osgViewer::WoWVxDisplay::getScreenNum | ( |  | ) | const

inline

References _screenNum.

## META_Object()

osgViewer::WoWVxDisplay::META_Object | ( | osgViewer | ,
|  | WoWVxDisplay | )

References WoWVxDisplay().

## setContent()

void osgViewer::WoWVxDisplay::setContent | ( | unsigned char | c | ) |

inline

References _wow_content.

## setDisparityC()

void osgViewer::WoWVxDisplay::setDisparityC | ( | float | c | ) |

inline

References _wow_disparity_C.

## setDisparityM()

void osgViewer::WoWVxDisplay::setDisparityM | ( | float | c | ) |

inline

References _wow_disparity_M.

## setDisparityVZ()

void osgViewer::WoWVxDisplay::setDisparityVZ | ( | float | c | ) |

inline

References _wow_disparity_vz.

## setDisparityZD()

void osgViewer::WoWVxDisplay::setDisparityZD | ( | float | c | ) |

inline

References _wow_disparity_Zd.

## setFactor()

void osgViewer::WoWVxDisplay::setFactor | ( | unsigned char | c | ) |

inline

References _wow_factor.

## setOffset()

void osgViewer::WoWVxDisplay::setOffset | ( | unsigned char | c | ) |

inline

References _wow_offset.

## setScreenNum()

void osgViewer::WoWVxDisplay::setScreenNum | ( | unsigned int | n | ) |

inline

References _screenNum.

## WoWVx20()

void osgViewer::WoWVxDisplay::WoWVx20 | ( |  | ) |

inline

References _wow_disparity_C, _wow_disparity_M, _wow_disparity_vz, and _wow_disparity_Zd.

## WoWVx42()

void osgViewer::WoWVxDisplay::WoWVx42 | ( |  | ) |

inline

References _wow_disparity_C, _wow_disparity_M, _wow_disparity_vz, and _wow_disparity_Zd.

Referenced by WoWVxDisplay().

## Member Data Documentation

## _screenNum

unsigned int osgViewer::WoWVxDisplay::_screenNum

protected

Referenced by getScreenNum(), setScreenNum(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_content

unsigned char osgViewer::WoWVxDisplay::_wow_content

protected

Referenced by getContent(), setContent(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_disparity_C

float osgViewer::WoWVxDisplay::_wow_disparity_C

protected

Referenced by getDisparityC(), setDisparityC(), WoWVx20(), WoWVx42(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_disparity_M

float osgViewer::WoWVxDisplay::_wow_disparity_M

protected

Referenced by getDisparityM(), setDisparityM(), WoWVx20(), WoWVx42(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_disparity_vz

float osgViewer::WoWVxDisplay::_wow_disparity_vz

protected

Referenced by getDisparityVZ(), setDisparityVZ(), WoWVx20(), WoWVx42(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_disparity_Zd

float osgViewer::WoWVxDisplay::_wow_disparity_Zd

protected

Referenced by getDisparityZD(), setDisparityZD(), WoWVx20(), WoWVx42(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_factor

unsigned char osgViewer::WoWVxDisplay::_wow_factor

protected

Referenced by getFactor(), setFactor(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

## _wow_offset

unsigned char osgViewer::WoWVxDisplay::_wow_offset

protected

Referenced by getOffset(), setOffset(), WoWVxDisplay(), WoWVxDisplay(), and WoWVxDisplay().

The documentation for this class was generated from the following file:

- WoWVxDisplay